Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001457KdenliveBuild Systempublic2010-02-22 12:452010-04-01 00:16
ReporterSamuli Suominnn 
Assigned Toj-b-m 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.7 
Target VersionFixed in Version0.7.7.1 
Summary0001457: find_package(Nepomuk) should be macro_optional_find_package(Nepomuk)
DescriptionSimply replace find_package(Nepomuk) with macro_optional_find_package(Nepomuk)
in src/CMakeLists.txt to gain CMake configure switch -DWITH_Nepomuk=ON or OFF
to control what is being built.

This is what we do in Gentoo's kdenlive-0.7.7 ebuild:

sed -i \
-e 's:find_package(Nepomuk):macro_optional_find_package(Nepomuk):' \
src/CMakeLists.txt

as temp. workaround.

Thanks!
TagsNo tags attached.
Build/Install MethodManual build from release
Attached Files

- Relationships
related to 0001451closed Feature request: remove dependency on nepomuk 

-  Notes
(0004742)
j-b-m (administrator)
2010-02-22 23:06

Fix applied, thanks. will be part of the 0.7.7.1 release

- Issue History
Date Modified Username Field Change
2010-02-22 12:45 Samuli Suominnn New Issue
2010-02-22 16:34 j-b-m Relationship added related to 0001451
2010-02-22 23:06 j-b-m Note Added: 0004742
2010-02-22 23:06 j-b-m Status new => resolved
2010-02-22 23:06 j-b-m Fixed in Version => Recent git
2010-02-22 23:06 j-b-m Resolution open => fixed
2010-02-22 23:06 j-b-m Assigned To => j-b-m
2010-03-09 17:28 xzhayon Fixed in Version Recent git => 0.7.7.1
2010-04-01 00:16 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker